FilterByValue (BioJava Demos API)
Keywords: ssbind.FilterByValue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class FilterByValue

    java.lang.Object
      org.biojava.bio.search.SearchContentFilter
          ssbind.SubHitFilter
              ssbind.FilterByValue

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class FilterByValue

extends SubHitFilter

Filter complete sub hits by the numerical value of some property.

The range that the property should be within is defined by the minVal and maxVal properties. The property name to be checked is set by keyName. Any sub hit that has this property and has a value that falls outside minVal and maxVal will be silently dropped from the event stream, and not passed on to the next handler in the chain.

## Example

     java ProcessBlast blast.out \
       "ssbind.FilterByValue(minVal=90 keyName=percentageIdentity)" \
        ssbind.Echoer

Author:
  Matthew Pocock

Constructor Summary
`FilterByValue(org.biojava.bio.search.SearchContentHandler delegate)`

Method Summary
`protected boolean` | `accept(Object key, Object val)`
`String` | `getKeyName()`
`double` | `getMaxVal()`
`double` | `getMinVal()`
`void` | `setKeyName(String keyName)`
`void` | `setMaxVal(double maxVal)`
`void` | `setMinVal(double minVal)`

Methods inherited from class ssbind.SubHitFilter
`addSubHitProperty, endSubHit, startSubHit`

Methods inherited from class org.biojava.bio.search.SearchContentFilter
`addHitProperty, addSearchProperty, endHeader, endHit, endSearch, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterByValue

    public FilterByValue(org.biojava.bio.search.SearchContentHandler delegate)

Method Detail

### setMinVal

    public void setMinVal(double minVal)

### getMinVal

    public double getMinVal()

### setMaxVal

    public void setMaxVal(double maxVal)

### getMaxVal

    public double getMaxVal()

### setKeyName

    public void setKeyName(String keyName)

### getKeyName

    public String getKeyName()

### accept

    protected boolean accept(Object key,
                             Object val)

  Specified by:
    `accept` in class `SubHitFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD